OVH Community, your new community space.

PHP 5.2.5 y Plesk 8.3


ServerNewbie
15/04/2008, 19:10
Gracias por vuestras respuestas.
Me referia mas que nada, no a instalaciones de las apps desde Plesk, si no despues de instalar PHP 5.2.5, si notabais algo raro.
Yo no dejo que se autoinstalen scripts, en todo caso, las instalamos nosotros.

Reox
15/04/2008, 18:05
Lo leí en varios sitios de mano de sus administradores, uno de ellos aquí:
http://www.comunidadhosting.com/showthread.php?t=7151

¿Instalando mod_suphp dices que se arregla? mmmmm... voy a probar en una maquina de pruebas y ya comentare el resultado.

crises
15/04/2008, 11:56
@Reox

Pues no sé si eso se soluciona con la versión 1.5 del joomla porque no la he usado aun, pero vamos que me extrañaría mucho porque se supone que eso es algo intrínseco al Apache y sus módulos. Que el joomla por sí mismo hiciese algún tipo de apaño no lo he leído en ningún sitio. De todos modos yo lo solucioné, como ya comente en algún post de por aquí, ignorando al Plesk e instalando otro panel, concrétamente el lxadmin que trabaja perfectamente con el mod_suphp.

Un saludo.

unwired
15/04/2008, 10:09
¿Alguien sabria decirme como puedo actualizar mi version de PHP a la 5.2.5? Ya que en mi plesk 8.3 tengo la 5.0.4

Gracias

Reox
14/04/2008, 18:36
Creo que lo que mencionas de los modulos de joomla le pasa a todo el mundo, una de mis maquinas es php4 con directadmin (con php5 y otros paneles que tengo igual) y le pasa exactamente eso que mencionas de los permisos de apache. He leido que esta solucionado en la version 1.5 pero no lo tengo nada claro porque tambien dicen por los foros que es cuestion de configurar unos parametros de joomla. Es horrendo para los que tienen cuentas de hosting compartido.

LLevo varios dias pensando una solución y agradeceria cualquier orientación.

crises
14/04/2008, 17:29
El problema de la mayoría de esas aplicaciones con Plesk, desde mi punto de vista, radica en que cualquier cosa que actualizas/subes/instalas a través de la propia aplicación (p.ej. instalar un módulo en joomla), te deja los archivos con los permisos de usuario/grupo del apache. Ésto es una p*tada porque luego, a través de ftp no puedes modificarlos o borrarlos al no tener los permisos necesarios. Tienes que entrar por ssh y cambiarle los permisos manualmente. Aparte ésto también crea un problema con los directorios/archivos que necesiten permisos de lectura/escritura, porque los debes poner que sean accesibles a todo quisqui (o 777/666 para que nos entendamos), con los riesgos que conlleva.

Sería fácil de solucionar si implementasen el mod_suexec o el mod_suphp pero por lo visto no están por labor.

Corregidme si me equivoco en algo ^^

ServerNewbie
14/04/2008, 13:16
Buenas

Para los que lo estéis usando, ¿que tal os van las versiones de PHP 5.2.5 y Plesk 8.3?, ¿os habéis encontrado algun bug con alguna aplicación habitual? (foros phpBB2, xoops, joomla, o cosas así).

¿Qué tal os fué la actualización?, ¿tuvisteis que reconfigurar alguna cosilla?, ¿Pros, contras?

Gracias por vuestros aportes